function::text_strn
Prev | Chapter 28. A collection of standard string functions | Next

## Name

function::text_strn — Escape any non-printable chars in a string

## Synopsis

        text_strn:string(input:string,len:long,quoted:long)

## Arguments

`input`

  the string to escape

`len`

  maximum length of string to return (0 implies MAXSTRINGLEN)

`quoted`

  put double quotes around the string. If input string is truncated it will have “...” after the second quote

## Description

This function accepts a string of designated length, and any ASCII characters that are not printable are replaced by the corresponding escape sequence in the returned string.

Prev | Up | Next
function::text_str | Home | function::tokenize